Package: org.codehaus.groovy.ast.stmt

## [Java] Class CatchStatement

- org.codehaus.groovy.ast.stmt.CatchStatement

-     public class CatchStatement
      extends Statement

  Represents a catch (Exception var) { } statement

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `interface Statement` | `CLOSE_CURRENT_RESULT, KEEP_CURRENT_RESULT, CLOSE_ALL_RESULTS, SUCCESS_NO_INFO, EXECUTE_FAILED, RETURN_GENERATED_KEYS, NO_GENERATED_KEYS`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `CatchStatement(Parameter variable, Statement code)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public Statement` | `getCode()`
    `` | `public ClassNode` | `getExceptionType()`
    `` | `public Parameter` | `getVariable()`
    `` | `public void` | `setCode(Statement code)`
    `` | `public void` | `visit(GroovyCodeVisitor visitor)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `interface Statement` | `execute, execute, execute, execute, close, cancel, getConnection, isClosed, getResultSetConcurrency, enquoteNCharLiteral, getLargeUpdateCount, setEscapeProcessing, getResultSetHoldability, isCloseOnCompletion, getWarnings, clearWarnings, setFetchSize, getFetchDirection, getFetchSize, setFetchDirection, getResultSet, getMaxRows, executeBatch, setMaxFieldSize, setMaxRows, getMoreResults, getMoreResults, addBatch, clearBatch, setQueryTimeout, getGeneratedKeys, executeUpdate, executeUpdate, executeUpdate, executeUpdate, getMaxFieldSize, executeQuery, getQueryTimeout, getUpdateCount, setCursorName, getResultSetType, isPoolable, enquoteLiteral, setPoolable, getLargeMaxRows, executeLargeBatch, enquoteIdentifier, executeLargeUpdate, executeLargeUpdate, executeLargeUpdate, executeLargeUpdate, isSimpleIdentifier, setLargeMaxRows, closeOnCompletion, unwrap, isWrapperFor`

- - ### Constructor Detail

    - #### public CatchStatement(Parameter variable, Statement code)

  - ### Method Detail

    - #### public Statement getCode()

    - #### public ClassNode getExceptionType()

    - #### public Parameter getVariable()

    - #### public void setCode(Statement code)

    - #### @Override public void visit(GroovyCodeVisitor visitor)